stack.hpp File Reference
Support for Serializing Various Types » Standard Library Support

Support for types found in <stack> More...

`#include "cereal/cereal.hpp"`
`#include <stack>`
`#include "cereal/types/deque.hpp"`

Go to the source code of this file.

## Functions

template<class T , class C >
C const & | cereal::stack_detail::container (std::stack< T, C > const &stack)
| Allows access to the protected container in stack.
template<class Archive , class T , class C >
void | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::stack< T, C > const &stack)
| Saving for std::stack.
template<class Archive , class T , class C >
void | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::stack< T, C > &stack)
| Loading for std::stack.

## Detailed Description

Support for types found in <stack>